<?
include_once("./_dmshop.php");

// 폼 체크
if (!$_POST['form_check']) {

    alert("요청하신 서비스를 찾을 수 없습니다.\\n\\n확인하신 후 다시 이용하시기 바랍니다.");

}

if ($dmshop_user['datetime'] != $_POST['form_check']) {

    alert("요청하신 서비스를 찾을 수 없습니다.\\n\\n확인하신 후 다시 이용하시기 바랍니다.");

}

// insert
if ($_POST['m'] == '') {

    // 개별적용
    $sql_common = "";
    $sql_common .= " set group_id = '".$_POST['group_id']."' ";
    $sql_common .= ", ba_title = '".$_POST['ba_title']."' ";
    $sql_common .= ", ba_position = '".$_POST['ba_position']."' ";
    $sql_common .= ", ba_view = '".$_POST['ba_view']."' ";
    $sql_common .= ", ba_width = '".$_POST['ba_width']."' ";
    $sql_common .= ", ba_height = '".$_POST['ba_height']."' ";
    $sql_common .= ", ba_url = '".$_POST['ba_url']."' ";
    $sql_common .= ", ba_target = '".$_POST['ba_target']."' ";
    $sql_common .= ", ba_datetime = '".$shop['time_ymdhis']."' ";

    // 등록
    sql_query(" insert into $shop[banner_table] $sql_common ");

    $banner_id = "";
    $banner_id = mysql_insert_id();

}

// update
else if ($_POST['m'] == 'u') {

    // 배너
    $dmshop_banner = shop_banner($_POST['banner_id']);

    if (!$dmshop_banner['id']) {

        alert("배너가 삭제되었거나 존재하지 않습니다.");

    }

    // 개별적용
    $sql_common = "";
    $sql_common .= " set group_id = '".$_POST['group_id']."' ";
    $sql_common .= ", ba_title = '".$_POST['ba_title']."' ";
    $sql_common .= ", ba_position = '".$_POST['ba_position']."' ";
    $sql_common .= ", ba_view = '".$_POST['ba_view']."' ";
    $sql_common .= ", ba_width = '".$_POST['ba_width']."' ";
    $sql_common .= ", ba_height = '".$_POST['ba_height']."' ";
    $sql_common .= ", ba_url = '".$_POST['ba_url']."' ";
    $sql_common .= ", ba_target = '".$_POST['ba_target']."' ";

    // 수정
    sql_query(" update $shop[banner_table] $sql_common where id = '".$_POST['banner_id']."' ");

}

// delete
else if ($_POST['m'] == 'd') {

    // 배너
    $dmshop_banner = shop_banner($_POST['banner_id']);

    if (!$dmshop_banner['id']) {

        alert("배너가 삭제되었거나 존재하지 않습니다.");

    }

    // 원본
    $file_path = $shop['path']."/data/banner/".shop_data_path("u", $dmshop_banner['upload_datetime'])."/".$dmshop_banner['upload_file'];

    // 첨부파일 삭제
    @unlink($file_path);

    // 배너 삭제
    sql_query(" delete from $shop[banner_table] where id = '".$_POST['banner_id']."' ");

} else {

    alert("배너가 삭제되었거나 존재하지 않습니다.");

}

// insert, update
if ($_POST['m'] == '' || $_POST['m'] == 'u') {

    // 파일경로
    $dir = $shop['path']."/data/banner/".shop_data_path("", "");

    @mkdir("$dir", 0707);
    @chmod("$dir", 0707);

    // 배너
    $upload_mode = "banner";
    include("./upload_banner_file.php");

    if (!$_POST['ba_width'] && !$_POST['ba_height']) {

        // 데이터
        $file = shop_banner($banner_id);

        $sql_common = "";
        $sql_common .= " set ba_width = '".$file['upload_width']."' ";
        $sql_common .= ", ba_height = '".$file['upload_height']."' ";

        // update
        sql_query(" update $shop[banner_table] $sql_common where id = '".$banner_id."' ");

    }

}

// 신규 등록
if ($_POST['m'] == '') {

    shop_url("./banner_list.php");

}

if ($url) {

    $urlencode = urldecode($url);

} else {

    $urlencode = urldecode($_SERVER[REQUEST_URI]);

}

shop_url($urlencode);
?>